Subject: Re: [PATCH net-next 13/14] devlink: add by-instance dump infra

From: Jakub Kicinski <[email-masked]>
Date: Fri, 6 Jan 2023 13:12:14 -0800

On Fri, 6 Jan 2023 09:56:36 +0100 Jiri Pirko wrote:
>> Oh, just the "it" at the end? Sorry, I don't see the point.  
> 
> The point is simple. Ops is a struct of callback by name X. If someone
> implements this ops struct, it is nice to assign the callbacks functions
> of name y_X so it is obvious from the first sight, what the function
> is related to.
> 
> I'm not sure what's wrong about having this sort of consistency. I
> believe that you as a maintainer should rather enforce it than to be
> against it. Am I missing something?

IMO you have a tendency to form names by concatenating adjacent
information rather than reflecting on what matters to the reader.
I believe the low readability of the devlink code is sufficient 
evidence to disagree with that direction.